Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.metadata
Interface IColorConstants

    public interface IColorConstants

The interface for constants of colors used in BIRT.

Field Summary
`static java.lang.String` | `AQUA` The color aqua.
`static java.lang.String` | `BLACK` The color black.
`static java.lang.String` | `BLUE` The color blue.
`static java.lang.String` | `COLORS_CHOICE_SET` ChoiceSet name for color set.
`static java.lang.String` | `FUCHSIA` The color fuchsia.
`static java.lang.String` | `GRAY` The color gray.
`static java.lang.String` | `GREEN` The color green.
`static java.lang.String` | `LIME` The color lime.
`static java.lang.String` | `MAROON` The color maroon.
`static java.lang.String` | `NAVY` The color navy.
`static java.lang.String` | `OLIVE` The color olive.
`static java.lang.String` | `ORANGE` The color blue.
`static java.lang.String` | `PURPLE` The color purple.
`static java.lang.String` | `RED` The color red.
`static java.lang.String` | `SILVER` The color silver.
`static java.lang.String` | `TEAL` The color teal.
`static java.lang.String` | `WHITE` The color white.
`static java.lang.String` | `YELLOW` The color yellow.

Field Detail

### BLACK

    static final java.lang.String BLACK

  The color black. sRGB value "#000000".

  See Also:
    Constant Field Values

### BLUE

    static final java.lang.String BLUE

  The color blue. sRGB value "#0000FF".

  See Also:
    Constant Field Values

### AQUA

    static final java.lang.String AQUA

  The color aqua. sRGB value "#00FFFF".

  See Also:
    Constant Field Values

### WHITE

    static final java.lang.String WHITE

  The color white. sRGB value ""#FFFFFF".

  See Also:
    Constant Field Values

### RED

    static final java.lang.String RED

  The color red. sRGB value "#FF0000".

  See Also:
    Constant Field Values

### ORANGE

    static final java.lang.String ORANGE

  The color blue. sRGB value "#FFA500".

  See Also:
    Constant Field Values

### SILVER

    static final java.lang.String SILVER

  The color silver. sRGB value "#C0C0C0".

  See Also:
    Constant Field Values

### GRAY

    static final java.lang.String GRAY

  The color gray. sRGB value "#808080".

  See Also:
    Constant Field Values

### MAROON

    static final java.lang.String MAROON

  The color maroon. sRGB value "#800000".

  See Also:
    Constant Field Values

### PURPLE

    static final java.lang.String PURPLE

  The color purple. sRGB value "#800080".

  See Also:
    Constant Field Values

### FUCHSIA

    static final java.lang.String FUCHSIA

  The color fuchsia. sRGB value "#FF00FF".

  See Also:
    Constant Field Values

### GREEN

    static final java.lang.String GREEN

  The color green. sRGB value "#008000".

  See Also:
    Constant Field Values

### LIME

    static final java.lang.String LIME

  The color lime. sRGB value "#00FF00".

  See Also:
    Constant Field Values

### OLIVE

    static final java.lang.String OLIVE

  The color olive. sRGB value "#808000".

  See Also:
    Constant Field Values

### YELLOW

    static final java.lang.String YELLOW

  The color yellow. sRGB value "#FFFF00".

  See Also:
    Constant Field Values

### NAVY

    static final java.lang.String NAVY

  The color navy. sRGB value "#000080".

  See Also:
    Constant Field Values

### TEAL

    static final java.lang.String TEAL

  The color teal. sRGB value "#008080".

  See Also:
    Constant Field Values

### COLORS_CHOICE_SET

    static final java.lang.String COLORS_CHOICE_SET

  ChoiceSet name for color set.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.